unit teste0;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RpDefine, RpBase, RpSystem, StdCtrls, CustomPreview;

type
  TForm1 = class(TForm)
    RvSystem1: TRvSystem;
    Button1: TButton;
    procedure RvSystem1OverridePreview(ReportSystem: TRvSystem; OverrideMode: TOverrideMode; var OverrideForm: TForm);
    procedure RvSystem1OverrideSetup(ReportSystem: TRvSystem; OverrideMode: TOverrideMode; var OverrideForm: TForm);
    procedure RvSystem1OverrideStatus(ReportSystem: TRvSystem; OverrideMode: TOverrideMode; var OverrideForm: TForm);
    procedure Button1Click(Sender: TObject);
    procedure RvSystem1Print(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.RvSystem1OverridePreview(ReportSystem: TRvSystem; OverrideMode: TOverrideMode; var OverrideForm: TForm);
Begin
  ExecutePreviewForm(Self,ReportSystem,OverrideMode,OverrideForm);
end;

procedure TForm1.RvSystem1OverrideSetup(ReportSystem: TRvSystem; OverrideMode: TOverrideMode; var OverrideForm: TForm);
begin
  ExecuteSetupForm(Self,ReportSystem,OverrideMode,OverrideForm);
end;

procedure TForm1.RvSystem1OverrideStatus(ReportSystem: TRvSystem; OverrideMode: TOverrideMode; var OverrideForm: TForm);
begin
  ExecuteStatusForm(Self,ReportSystem,OverrideMode,OverrideForm);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  rvSystem1.Execute;
end;


procedure TForm1.RvSystem1Print(Sender: TObject);
Var x : Integer;
begin
   For x := 1 to 200 do Begin
      With RVSystem1.BaseReport do Begin
        PrintLn('Imprimindo o valor '+IntToStr(x) );
        If LinesLeft=0 Then NewPage;
      End;
   End;
end;

end.
